Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface ITextEditorActionConstants

All Superinterfaces:
  IWorkbenchActionConstants

public interface ITextEditorActionConstants
extends IWorkbenchActionConstants

Defines the names of those actions which are preregistered with the `AbstractTextEditor`. `RULER_DOUBLE_CLICK` defines the action which is registered as being executed when the editor's ruler has been double clicked. This interface extends the set of names available from `IWorkbenchActionConstants`. It also defines the names of the menu groups in a text editor's context menu.

Field Summary
`static String` | `CLEAR_MARK` Name of the action to set the mark.
`static String` | `CONVERT_LINE_DELIMITERS_TO_MAC` Name of the action to convert line delimiters to MAC.
`static String` | `CONVERT_LINE_DELIMITERS_TO_UNIX` Name of the action to convert line delimiters to UNIX.
`static String` | `CONVERT_LINE_DELIMITERS_TO_WINDOWS` Name of the action to convert line delimiters to Windows.
`static String` | `COPY` Name of standard Copy global action in the Edit menu.
`static String` | `COPY_LINE_DOWN` Name of the action to copy lines downwards Value: `"CopyLineDown"`
`static String` | `COPY_LINE_UP` Name of the action to copy lines upwards Value: `"CopyLineUp"`
`static String` | `CUT` Name of standard Cut global action in the Edit menu.
`static String` | `CUT_LINE` Name of the action to cut the current line.
`static String` | `CUT_LINE_TO_BEGINNING` Name of the action to cut line to beginning.
`static String` | `CUT_LINE_TO_END` Name of the action to cut line to end.
`static String` | `DELETE` Name of standard Delete global action in the Edit menu.
`static String` | `DELETE_LINE` Name of the action to delete the current line.
`static String` | `DELETE_LINE_TO_BEGINNING` Name of the action to delete line to beginning.
`static String` | `DELETE_LINE_TO_END` Name of the action to delete line to end.
`static String` | `FIND` Name of standard Find global action in the Edit menu.
`static String` | `FIND_INCREMENTAL` Name of the action to incremental find.
`static String` | `FIND_INCREMENTAL_REVERSE` Name of the action to incremental find reverse.
`static String` | `FIND_NEXT` Name of the action to find next.
`static String` | `FIND_PREVIOUS` Name of the action to find previous.
`static String` | `GOTO_LINE` Name of the action to jump to a certain text line.
`static String` | `GROUP_COPY` Context menu group for copy/paste related actions.
`static String` | `GROUP_EDIT` Context menu group for text manipulation actions.
`static String` | `GROUP_FIND` Context menu group for find/replace related actions.
`static String` | `GROUP_PRINT` Context menu group for print related actions.
`static String` | `GROUP_REST` Context menu group for actions which do not fit in one of the other categories.
`static String` | `GROUP_SAVE` Context menu group for save related actions.
`static String` | `GROUP_UNDO` Context menu group for undo/redo related actions.
`static String` | `LOWER_CASE` Name of the action to turn a selection to lower case Value: `"LowerCase"`
`static String` | `MOVE_LINE_DOWN` Name of the action to move lines downwards Value: `"MoveLineDown"`
`static String` | `MOVE_LINE_UP` Name of the action to move lines upwards Value: `"MoveLineUp"`
`static String` | `PASTE` Name of standard Paste global action in the Edit menu.
`static String` | `PRINT` Name of standard Print global action in the File menu.
`static String` | `REDO` Name of standard Redo global action in the Edit menu.
`static String` | `REVERT` Name of standard Revert global action in the File menu.
`static String` | `REVERT_TO_SAVED` Name of the action for re-establishing the state after the most recent save operation.
`static String` | `RULER_CLICK` Name of the ruler action performed when clicking the editor's vertical ruler.
`static String` | `RULER_DOUBLE_CLICK` Name of the ruler action performed when double clicking the editor's vertical ruler.
`static String` | `RULER_MANAGE_BOOKMARKS` Name of the ruler action to manage bookmarks.
`static String` | `RULER_MANAGE_TASKS` Name of the ruler action to manage tasks.
`static String` | `SAVE` Name of standard Save global action in the File menu.
`static String` | `SELECT_ALL` Name of standard Select All global action in the Edit menu.
`static String` | `SET_MARK` Name of the action to set the mark.
`static String` | `SHIFT_LEFT` Name of the action for shifting text blocks to the left.
`static String` | `SHIFT_RIGHT` Name of the action for shifting text blocks to the right.
`static String` | `SHIFT_RIGHT_TAB` Name of the action for shifting text blocks to the right, triggered by the TAB key.
`static String` | `SMART_ENTER` Name of the action to insert a new line below the current position.
`static String` | `SMART_ENTER_INVERSE` Name of the action to insert a new line above the current position.
`static String` | `STATUS_CATEGORY_ELEMENT_STATE` Status line category "element state".
`static String` | `STATUS_CATEGORY_FIND_FIELD` Status line category "findField".
`static String` | `STATUS_CATEGORY_INPUT_MODE` Status line category "input mode".
`static String` | `STATUS_CATEGORY_INPUT_POSITION` Status line category "input position".
`static String` | `SWAP_MARK` Name of the action to swap the mark with the cursor position.
`static String` | `TOGGLE_INSERT_MODE` Name of the action for toggling the smart insert mode.
`static String` | `UNDO` Name of standard Undo global action in the Edit menu.
`static String` | `UPPER_CASE` Name of the action to turn a selection to upper case Value: `"UpperCase"`

Fields inherited from interface org.eclipse.ui.IWorkbenchActionConstants
`ABOUT, ADD_EXT, ADD_TASK, BACK, BOOKMARK, BUILD, BUILD_EXT, BUILD_GROUP, BUILD_PROJECT, CLOSE, CLOSE_ALL, CLOSE_EXT, CLOSE_PROJECT, CUT_EXT, EDIT_END, EDIT_START, EXPORT, FILE_END, FILE_START, FIND_EXT, FORWARD, GLOBAL_ACTIONS, GO_INTO, GO_TO, GO_TO_RESOURCE, GROUP_ADD, GROUP_APP, GROUP_EDITOR, GROUP_FILE, GROUP_MANAGING, GROUP_REORGANIZE, GROUP_SHOW_IN, HELP_END, HELP_START, HISTORY_GROUP, IMPORT, IMPORT_EXT, LAUNCH_EXT, M_EDIT, M_FILE, M_HELP, M_LAUNCH, M_NAVIGATE, M_PROJECT, M_VIEW, M_WINDOW, M_WORKBENCH, MB_ADDITIONS, MENU_PREFIX, MOVE, MRU, NAV_END, NAV_START, NEW, NEW_EXT, NEW_GROUP, NEXT, OPEN_EXT, OPEN_PROJECT, PIN_GROUP, PREVIOUS, PRINT_EXT, PROJ_END, PROJ_START, PROPERTIES, QUIT, REBUILD_ALL, REBUILD_PROJECT, REFRESH, RENAME, SAVE_ALL, SAVE_AS, SAVE_EXT, SAVE_GROUP, SEP, SHOW_EXT, SHOW_IN, SYNC_EDITOR, TOOLBAR_FILE, TOOLBAR_NAVIGATE, UNDO_EXT, UP, VIEW_EXT, WB_END, WB_START, WINDOW_EXT`

Field Detail

### GROUP_UNDO

    public static final String GROUP_UNDO

  Context menu group for undo/redo related actions. Value: `"group.undo"`

  See Also:
    Constant Field Values

### GROUP_COPY

    public static final String GROUP_COPY

  Context menu group for copy/paste related actions. Value: `"group.copy"`

  See Also:
    Constant Field Values

### GROUP_EDIT

    public static final String GROUP_EDIT

  Context menu group for text manipulation actions. Value: `"group.edit"`

  See Also:
    Constant Field Values

### GROUP_PRINT

    public static final String GROUP_PRINT

  Context menu group for print related actions. Value: `"group.print"`

  See Also:
    Constant Field Values

### GROUP_FIND

    public static final String GROUP_FIND

  Context menu group for find/replace related actions. Value: `"group.find"`

  See Also:
    Constant Field Values

### GROUP_SAVE

    public static final String GROUP_SAVE

  Context menu group for save related actions. Value: `"group.save"`

  See Also:
    Constant Field Values

### GROUP_REST

    public static final String GROUP_REST

  Context menu group for actions which do not fit in one of the other categories. Value: `"group.rest"`

  See Also:
    Constant Field Values

### SHIFT_RIGHT

    public static final String SHIFT_RIGHT

  Name of the action for shifting text blocks to the right. Value: `"ShiftRight"`

  See Also:
    Constant Field Values

### SHIFT_RIGHT_TAB

    public static final String SHIFT_RIGHT_TAB

  Name of the action for shifting text blocks to the right, triggered by the TAB key. Value: `"ShiftRightTab"`

  Since:
    3.0
  See Also:
    Constant Field Values

### SHIFT_LEFT

    public static final String SHIFT_LEFT

  Name of the action for shifting text blocks to the left. Value: `"ShiftLeft"`

  See Also:
    Constant Field Values

### DELETE_LINE

    public static final String DELETE_LINE

  Name of the action to delete the current line. Value: `"DeleteLine"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE

    public static final String CUT_LINE

  Name of the action to cut the current line. Value: `"CutLine"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_BEGINNING

    public static final String DELETE_LINE_TO_BEGINNING

  Name of the action to delete line to beginning. Value: `"DeleteLineToBeginning"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE_TO_BEGINNING

    public static final String CUT_LINE_TO_BEGINNING

  Name of the action to cut line to beginning. Value: `"CutLineToBeginning"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_END

    public static final String DELETE_LINE_TO_END

  Name of the action to delete line to end. Value: `"DeleteLineToEnd"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE_TO_END

    public static final String CUT_LINE_TO_END

  Name of the action to cut line to end. Value: `"CutLineToEnd"`

  Since:
    2.1
  See Also:
    Constant Field Values

### SET_MARK

    public static final String SET_MARK

  Name of the action to set the mark. Value: `"SetMark"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CLEAR_MARK

    public static final String CLEAR_MARK

  Name of the action to set the mark. Value: `"ClearMark"`

  Since:
    2.0
  See Also:
    Constant Field Values

### SWAP_MARK

    public static final String SWAP_MARK

  Name of the action to swap the mark with the cursor position. Value: `"SwapMark"`

  Since:
    2.0
  See Also:
    Constant Field Values

### GOTO_LINE

    public static final String GOTO_LINE

  Name of the action to jump to a certain text line. Value: `"GotoLine"`

  See Also:
    Constant Field Values

### SMART_ENTER

    public static final String SMART_ENTER

  Name of the action to insert a new line below the current position. Value: `"SmartEnter"`

  Since:
    3.0
  See Also:
    Constant Field Values

### SMART_ENTER_INVERSE

    public static final String SMART_ENTER_INVERSE

  Name of the action to insert a new line above the current position. Value: `"SmartEnterInverse"`

  Since:
    3.0
  See Also:
    Constant Field Values

### MOVE_LINE_UP

    public static final String MOVE_LINE_UP

  Name of the action to move lines upwards Value: `"MoveLineUp"`

  Since:
    3.0
  See Also:
    Constant Field Values

### MOVE_LINE_DOWN

    public static final String MOVE_LINE_DOWN

  Name of the action to move lines downwards Value: `"MoveLineDown"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY_LINE_UP

    public static final String COPY_LINE_UP

  Name of the action to copy lines upwards Value: `"CopyLineUp"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY_LINE_DOWN

    public static final String COPY_LINE_DOWN

  Name of the action to copy lines downwards Value: `"CopyLineDown"`

  Since:
    3.0
  See Also:
    Constant Field Values

### UPPER_CASE

    public static final String UPPER_CASE

  Name of the action to turn a selection to upper case Value: `"UpperCase"`

  Since:
    3.0
  See Also:
    Constant Field Values

### LOWER_CASE

    public static final String LOWER_CASE

  Name of the action to turn a selection to lower case Value: `"LowerCase"`

  Since:
    3.0
  See Also:
    Constant Field Values

### FIND_NEXT

    public static final String FIND_NEXT

  Name of the action to find next. Value: `"FindNext"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_PREVIOUS

    public static final String FIND_PREVIOUS

  Name of the action to find previous. Value: `"FindPrevious"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_INCREMENTAL

    public static final String FIND_INCREMENTAL

  Name of the action to incremental find. Value: `"FindIncremental"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_INCREMENTAL_REVERSE

    public static final String FIND_INCREMENTAL_REVERSE

  Name of the action to incremental find reverse. Value: `"FindIncrementalReverse"`

  Since:
    2.1
  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

    public static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS

  Name of the action to convert line delimiters to Windows. Value: `"ConvertLineDelimitersToWindows"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

    public static final String CONVERT_LINE_DELIMITERS_TO_UNIX

  Name of the action to convert line delimiters to UNIX. Value: `"ConvertLineDelimitersToUNIX"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

    public static final String CONVERT_LINE_DELIMITERS_TO_MAC

  Name of the action to convert line delimiters to MAC. Value: `"ConvertLineDelimitersToMAC"`

  Since:
    2.0
  See Also:
    Constant Field Values

### RULER_DOUBLE_CLICK

    public static final String RULER_DOUBLE_CLICK

  Name of the ruler action performed when double clicking the editor's vertical ruler. Value: `"RulerDoubleClick"`

  See Also:
    Constant Field Values

### RULER_CLICK

    public static final String RULER_CLICK

  Name of the ruler action performed when clicking the editor's vertical ruler. Value: `"RulerClick"`

  Since:
    2.0
  See Also:
    Constant Field Values

### RULER_MANAGE_TASKS

    public static final String RULER_MANAGE_TASKS

  Name of the ruler action to manage tasks. Value: `"ManageTasks"`

  See Also:
    Constant Field Values

### RULER_MANAGE_BOOKMARKS

    public static final String RULER_MANAGE_BOOKMARKS

  Name of the ruler action to manage bookmarks. Value: `"ManageBookmarks"`

  See Also:
    Constant Field Values

### STATUS_CATEGORY_INPUT_POSITION

    public static final String STATUS_CATEGORY_INPUT_POSITION

  Status line category "input position". Value: `"InputPosition"`

  Since:
    2.0
  See Also:
    Constant Field Values

### STATUS_CATEGORY_INPUT_MODE

    public static final String STATUS_CATEGORY_INPUT_MODE

  Status line category "input mode". Value: `"InputMode"`

  Since:
    2.0
  See Also:
    Constant Field Values

### STATUS_CATEGORY_ELEMENT_STATE

    public static final String STATUS_CATEGORY_ELEMENT_STATE

  Status line category "element state". Value: `"ElementState"`

  Since:
    2.0
  See Also:
    Constant Field Values

### STATUS_CATEGORY_FIND_FIELD

    public static final String STATUS_CATEGORY_FIND_FIELD

  Status line category "findField". Value: `"findField"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY

    public static final String COPY

  Name of standard Copy global action in the Edit menu. Value `"copy"`

  Since:
    3.0
  See Also:
    `ActionFactory.COPY`

### CUT

    public static final String CUT

  Name of standard Cut global action in the Edit menu. Value `"cut"`

  Since:
    3.0
  See Also:
    `ActionFactory.CUT`

### DELETE

    public static final String DELETE

  Name of standard Delete global action in the Edit menu. Value `"delete"`

  Since:
    3.0
  See Also:
    `ActionFactory.DELETE`

### FIND

    public static final String FIND

  Name of standard Find global action in the Edit menu. Value `"find"`

  Since:
    3.0
  See Also:
    `ActionFactory.FIND`

### PASTE

    public static final String PASTE

  Name of standard Paste global action in the Edit menu. Value `"paste"`

  Since:
    3.0
  See Also:
    `ActionFactory.PASTE`

### PRINT

    public static final String PRINT

  Name of standard Print global action in the File menu. Value `"print"`

  Since:
    3.0
  See Also:
    `ActionFactory.PRINT`

### REDO

    public static final String REDO

  Name of standard Redo global action in the Edit menu. Value `"redo"`

  Since:
    3.0
  See Also:
    `ActionFactory.REDO`

### UNDO

    public static final String UNDO

  Name of standard Undo global action in the Edit menu. Value `"undo"`

  Since:
    3.0
  See Also:
    `ActionFactory.UNDO`

### SAVE

    public static final String SAVE

  Name of standard Save global action in the File menu. Value `"save"`

  Since:
    3.0
  See Also:
    `ActionFactory.SAVE`

### SELECT_ALL

    public static final String SELECT_ALL

  Name of standard Select All global action in the Edit menu. Value `"selectAll"`

  Since:
    3.0
  See Also:
    `ActionFactory.SELECT_ALL`

### REVERT

    public static final String REVERT

  Name of standard Revert global action in the File menu. Value `"revert"`

  Since:
    3.0
  See Also:
    `ActionFactory.REVERT`

### REVERT_TO_SAVED

    public static final String REVERT_TO_SAVED

  Name of the action for re-establishing the state after the most recent save operation. Value: `"ITextEditorActionConstants.REVERT"`

### TOGGLE_INSERT_MODE

    public static final String TOGGLE_INSERT_MODE

  Name of the action for toggling the smart insert mode. Value: `"ToggleInsertMode"`

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.